--- old/usr/src/lib/libshare/smbfs/Makefile.com	Thu Aug  8 11:16:53 2019
+++ new/usr/src/lib/libshare/smbfs/Makefile.com	Thu Aug  8 11:16:53 2019
@@ -42,7 +42,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_REENTRANT -I$(ADJUNCT_PROTO)/usr/include/libxml2 \
 		-I$(SRCDIR)/../common -I$(SRC)/lib/libsmbfs -I$(SRC)/uts/common
 
--- old/usr/src/lib/libshell/Makefile.com	Thu Aug  8 11:16:55 2019
+++ new/usr/src/lib/libshell/Makefile.com	Thu Aug  8 11:16:55 2019
@@ -158,7 +158,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
--- old/usr/src/lib/libsldap/Makefile.com	Thu Aug  8 11:16:56 2019
+++ new/usr/src/lib/libsldap/Makefile.com	Thu Aug  8 11:16:56 2019
@@ -54,7 +54,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libslp/Makefile.com	Thu Aug  8 11:16:57 2019
+++ new/usr/src/lib/libslp/Makefile.com	Thu Aug  8 11:16:57 2019
@@ -46,7 +46,7 @@
 CPPFLAGS +=	-D_REENTRANT -I../clib -I$(JAVA_ROOT)/include \
 		-I$(JAVA_ROOT)/include/solaris
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/lib/libsmbfs/Makefile.com	Thu Aug  8 11:16:57 2019
+++ new/usr/src/lib/libsmbfs/Makefile.com	Thu Aug  8 11:16:58 2019
@@ -95,7 +95,7 @@
 # normal warnings...
 CFLAGS	+=	$(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/lib/libsocket/Makefile.com	Thu Aug  8 11:16:59 2019
+++ new/usr/src/lib/libsocket/Makefile.com	Thu Aug  8 11:16:59 2019
@@ -57,7 +57,7 @@
 %/rcmd.o :=	CPPFLAGS += -DNIS
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
--- old/usr/src/lib/libsqlite/Makefile.com	Thu Aug  8 11:16:59 2019
+++ new/usr/src/lib/libsqlite/Makefile.com	Thu Aug  8 11:16:59 2019
@@ -97,7 +97,7 @@
 CPPFLAGS += $(MYCPPFLAGS)
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-label
 
--- old/usr/src/lib/libtnfctl/Makefile.com	Thu Aug  8 11:17:00 2019
+++ new/usr/src/lib/libtnfctl/Makefile.com	Thu Aug  8 11:17:00 2019
@@ -75,7 +75,7 @@
 
 LINTFLAGS +=	-y
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-empty-body
 CERRWARN +=	-_gcc=-Wno-parentheses
 
--- old/usr/src/lib/libtnfprobe/Makefile.com	Thu Aug  8 11:17:01 2019
+++ new/usr/src/lib/libtnfprobe/Makefile.com	Thu Aug  8 11:17:01 2019
@@ -65,7 +65,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libtsnet/Makefile.com	Thu Aug  8 11:17:02 2019
+++ new/usr/src/lib/libtsnet/Makefile.com	Thu Aug  8 11:17:02 2019
@@ -47,7 +47,7 @@
 LIBTSOLINC =	$(SRC)/lib/libtsol/common
 
 CPPFLAGS +=	-D_REENTRANT -I$(LIBTSOLINC)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libtsol/Makefile.com	Thu Aug  8 11:17:04 2019
+++ new/usr/src/lib/libtsol/Makefile.com	Thu Aug  8 11:17:04 2019
@@ -60,7 +60,7 @@
 
 LINTFLAGS64 +=	-m64
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libv12n/Makefile.com	Thu Aug  8 11:17:05 2019
+++ new/usr/src/lib/libv12n/Makefile.com	Thu Aug  8 11:17:05 2019
@@ -39,7 +39,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(LINTLIB) :=	SRCS = ../common/llib-lv12n
 
--- old/usr/src/lib/libwrap/Makefile.com	Thu Aug  8 11:17:07 2019
+++ new/usr/src/lib/libwrap/Makefile.com	Thu Aug  8 11:17:08 2019
@@ -59,7 +59,7 @@
 CERRWARN +=	-_gcc=-Wno-return-type
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libxcurses/Makefile.com	Thu Aug  8 11:17:10 2019
+++ new/usr/src/lib/libxcurses/Makefile.com	Thu Aug  8 11:17:11 2019
@@ -114,7 +114,7 @@
 $(LINTLIB):= SRCS=../src/libc/llib-lcurses
 $(LINTLIB):= CPPFLAGS += -D_XOPEN_SOURCE_EXTENDED
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
--- old/usr/src/lib/libxcurses2/Makefile.com	Thu Aug  8 11:17:13 2019
+++ new/usr/src/lib/libxcurses2/Makefile.com	Thu Aug  8 11:17:13 2019
@@ -97,7 +97,7 @@
 LDLIBS += -lc
 
 CPPFLAGS = -I../h -I../src/libc/xcurses $(CPPFLAGS.master)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 
 # not linted
--- old/usr/src/lib/libzonecfg/Makefile.com	Thu Aug  8 11:17:14 2019
+++ new/usr/src/lib/libzonecfg/Makefile.com	Thu Aug  8 11:17:14 2019
@@ -36,7 +36,7 @@
 
 SRCDIR =	../common
 CPPFLAGS +=	-I$(ADJUNCT_PROTO)/usr/include/libxml2 -I$(SRCDIR) -D_REENTRANT
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/libzonestat/Makefile.com	Thu Aug  8 11:17:16 2019
+++ new/usr/src/lib/libzonestat/Makefile.com	Thu Aug  8 11:17:16 2019
@@ -36,7 +36,7 @@
 CPPFLAGS +=	-I../common -mt -D_POSIX_PTHREAD_SEMANTICS
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/madv/Makefile.com	Thu Aug  8 11:17:18 2019
+++ new/usr/src/lib/madv/Makefile.com	Thu Aug  8 11:17:18 2019
@@ -41,7 +41,7 @@
 DYNFLAGS +=	$(ZNOVERSION) $(ZINTERPOSE)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/mpapi/libmpapi/Makefile.com	Thu Aug  8 11:17:18 2019
+++ new/usr/src/lib/mpapi/libmpapi/Makefile.com	Thu Aug  8 11:17:18 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/mpss/Makefile.com	Thu Aug  8 11:17:19 2019
+++ new/usr/src/lib/mpss/Makefile.com	Thu Aug  8 11:17:19 2019
@@ -41,7 +41,7 @@
 DYNFLAGS +=	$(BLOCAL) $(ZNOVERSION)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/nsswitch/Makefile.com	Thu Aug  8 11:17:19 2019
+++ new/usr/src/lib/nsswitch/Makefile.com	Thu Aug  8 11:17:19 2019
@@ -37,7 +37,7 @@
 CPPFLAGS +=	-D_REENTRANT
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-address
--- old/usr/src/lib/pam_modules/unix_cred/Makefile.com	Thu Aug  8 11:17:21 2019
+++ new/usr/src/lib/pam_modules/unix_cred/Makefile.com	Thu Aug  8 11:17:21 2019
@@ -31,7 +31,7 @@
 
 LDLIBS		+= -lbsm -lpam -lsecdb -lproject -lc
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 all:	$(LIBS)
 
--- old/usr/src/lib/passwdutil/Makefile.com	Thu Aug  8 11:17:22 2019
+++ new/usr/src/lib/passwdutil/Makefile.com	Thu Aug  8 11:17:22 2019
@@ -58,7 +58,7 @@
 CFLAGS		+= $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/lib/pkcs11/libpkcs11/Makefile.com	Thu Aug  8 11:17:24 2019
+++ new/usr/src/lib/pkcs11/libpkcs11/Makefile.com	Thu Aug  8 11:17:24 2019
@@ -77,7 +77,7 @@
 LINTFLAGS64 += -errchk=longptr64
 
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/pkcs11/libsoftcrypto/amd64/Makefile	Thu Aug  8 11:17:25 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/amd64/Makefile	Thu Aug  8 11:17:25 2019
@@ -40,7 +40,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4u/Makefile.com	Thu Aug  8 11:17:27 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4u/Makefile.com	Thu Aug  8 11:17:27 2019
@@ -42,7 +42,7 @@
 ASFLAGS +=	$(AS_PICFLAGS) -P
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CPPFLAGS +=	-D$(PLATFORM) -I$(CRYPTODIR) -I$(UTSDIR) \
--- old/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4v/Makefile.com	Thu Aug  8 11:17:29 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4v/Makefile.com	Thu Aug  8 11:17:30 2019
@@ -36,7 +36,7 @@
 ASFLAGS +=	$(AS_PICFLAGS) -P
 CFLAGS +=	$(CCVERBOSE) -xO5 -xbuiltin=%all -dalign
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CPPFLAGS +=	-D$(PLATFORM) -I$(CRYPTODIR) -I$(UTSDIR) \
--- old/usr/src/lib/pkcs11/libsoftcrypto/i386/Makefile	Thu Aug  8 11:17:32 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/i386/Makefile	Thu Aug  8 11:17:33 2019
@@ -33,7 +33,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/pkcs11/libsoftcrypto/sparc/Makefile	Thu Aug  8 11:17:35 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/sparc/Makefile	Thu Aug  8 11:17:35 2019
@@ -44,7 +44,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CPPFLAGS +=	-I$(CRYPTODIR) -I$(UTSDIR) -D_POSIX_PTHREAD_SEMANTICS
 LDLIBS +=	-lcryptoutil -lc
--- old/usr/src/lib/pkcs11/libsoftcrypto/sparcv9/Makefile	Thu Aug  8 11:17:38 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/sparcv9/Makefile	Thu Aug  8 11:17:38 2019
@@ -45,7 +45,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CPPFLAGS +=	-I$(CRYPTODIR) -I$(UTSDIR) -D_POSIX_PTHREAD_SEMANTICS
 LDLIBS +=	-lcryptoutil -lc
--- old/usr/src/lib/pkcs11/pkcs11_kernel/Makefile.com	Thu Aug  8 11:17:40 2019
+++ new/usr/src/lib/pkcs11/pkcs11_kernel/Makefile.com	Thu Aug  8 11:17:40 2019
@@ -86,7 +86,7 @@
 
 CFLAGS  +=      $(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/lib/pkcs11/pkcs11_softtoken/Makefile.com	Thu Aug  8 11:17:43 2019
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/Makefile.com	Thu Aug  8 11:17:43 2019
@@ -130,7 +130,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-empty-body
--- old/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Thu Aug  8 11:17:45 2019
+++ new/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Thu Aug  8 11:17:45 2019
@@ -95,7 +95,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/print/libipp-listener/Makefile.com	Thu Aug  8 11:17:48 2019
+++ new/usr/src/lib/print/libipp-listener/Makefile.com	Thu Aug  8 11:17:48 2019
@@ -53,7 +53,7 @@
 CPPFLAGS +=	-I../../libipp-core/common
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/print/libpapi-ipp/Makefile.com	Thu Aug  8 11:17:50 2019
+++ new/usr/src/lib/print/libpapi-ipp/Makefile.com	Thu Aug  8 11:17:50 2019
@@ -53,7 +53,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/rpcsec_gss/Makefile.com	Thu Aug  8 11:17:53 2019
+++ new/usr/src/lib/rpcsec_gss/Makefile.com	Thu Aug  8 11:17:53 2019
@@ -38,7 +38,7 @@
 CFLAGS +=	$(XFFLAG)
 CFLAGS64 +=	$(XFFLAG)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/lib/sasl_plugins/Makefile.com	Thu Aug  8 11:17:56 2019
+++ new/usr/src/lib/sasl_plugins/Makefile.com	Thu Aug  8 11:17:56 2019
@@ -31,7 +31,7 @@
 
 CPPFLAGS +=	-I$(SRC)/lib/libsasl/include
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/scsi/libses/Makefile.defs	Thu Aug  8 11:17:58 2019
+++ new/usr/src/lib/scsi/libses/Makefile.defs	Thu Aug  8 11:17:59 2019
@@ -31,7 +31,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-type-limits
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 
 SMOFF += all_func_returns
--- old/usr/src/lib/scsi/libsmp/Makefile.com	Thu Aug  8 11:18:00 2019
+++ new/usr/src/lib/scsi/libsmp/Makefile.com	Thu Aug  8 11:18:01 2019
@@ -43,7 +43,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-type-limits
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/smbsrv/libmlsvc/Makefile.com	Thu Aug  8 11:18:02 2019
+++ new/usr/src/lib/smbsrv/libmlsvc/Makefile.com	Thu Aug  8 11:18:02 2019
@@ -93,7 +93,7 @@
 $(ENABLE_SMB_PRINTING) CPPFLAGS += -DHAVE_CUPS
 
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/smbsrv/libsmb/Makefile.com	Thu Aug  8 11:18:04 2019
+++ new/usr/src/lib/smbsrv/libsmb/Makefile.com	Thu Aug  8 11:18:04 2019
@@ -86,7 +86,7 @@
 LDLIBS +=	-lnvpair -lresolv -lsocket -lnsl -lc
 CPPFLAGS +=	$(INCS) -D_REENTRANT
 CPPFLAGS +=	-Dsyslog=smb_syslog
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-switch
 
--- old/usr/src/lib/smbsrv/libsmbns/Makefile.com	Thu Aug  8 11:18:05 2019
+++ new/usr/src/lib/smbsrv/libsmbns/Makefile.com	Thu Aug  8 11:18:05 2019
@@ -55,7 +55,7 @@
 CPPFLAGS +=	-D_REENTRANT
 CPPFLAGS +=	-Dsyslog=smb_syslog
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/smhba/Makefile.com	Thu Aug  8 11:18:05 2019
+++ new/usr/src/lib/smhba/Makefile.com	Thu Aug  8 11:18:05 2019
@@ -47,7 +47,7 @@
 CPPFLAGS +=	-DPOSIX_THREADS
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 SMOFF += indenting,all_func_returns
--- old/usr/src/lib/storage/liba5k/Makefile.com	Thu Aug  8 11:18:05 2019
+++ new/usr/src/lib/storage/liba5k/Makefile.com	Thu Aug  8 11:18:06 2019
@@ -45,7 +45,7 @@
 LINTFLAGS64 +=  $(COMMON_LINTFLAGS)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lc -ldevice -lg_fc
 
--- old/usr/src/lib/storage/libg_fc/Makefile.com	Thu Aug  8 11:18:07 2019
+++ new/usr/src/lib/storage/libg_fc/Makefile.com	Thu Aug  8 11:18:07 2019
@@ -50,7 +50,7 @@
 LINTFLAGS64 += $(COMMON_LINTFLAGS)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/udapl/udapl_tavor/Makefile.com	Thu Aug  8 11:18:08 2019
+++ new/usr/src/lib/udapl/udapl_tavor/Makefile.com	Thu Aug  8 11:18:08 2019
@@ -150,7 +150,7 @@
 LINTFLAGS64 +=	-DDAPL_DBG
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 $(NOT_RELEASE_BUILD)CPPFLAGS += -DDAPL_DBG
--- old/usr/src/psm/stand/boot/Makefile.boot	Thu Aug  8 11:18:09 2019
+++ new/usr/src/psm/stand/boot/Makefile.boot	Thu Aug  8 11:18:09 2019
@@ -65,5 +65,5 @@
 	    -erroff=E_NAME_DECL_NOT_USED_DEF2 -erroff=E_NAME_DEF_NOT_USED2
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
--- old/usr/src/psm/stand/cpr/sparcv9/sun4u/Makefile	Thu Aug  8 11:18:10 2019
+++ new/usr/src/psm/stand/cpr/sparcv9/sun4u/Makefile	Thu Aug  8 11:18:10 2019
@@ -49,7 +49,7 @@
 include ../../common/Makefile.com
 include $(TOPDIR)/psm/Makefile.psm.64
 CFLAGS64 += -xchip=ultra $(CCABS32)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/req.flg	Thu Aug  8 11:18:11 2019
+++ new/usr/src/req.flg	Thu Aug  8 11:18:11 2019
@@ -23,11 +23,12 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2019 Joyent, Inc.
+#
 
 echo_file usr/src/Makefile
 echo_file usr/src/Targetdirs
 echo_file usr/src/Makefile.master
-echo_file usr/src/Makefile.noget
 echo_file usr/src/Makefile.master.64
 echo_file usr/src/Makefile.msg.targ
 echo_file usr/src/Makefile.psm
--- old/usr/src/stand/lib/fs/Makefile.com	Thu Aug  8 11:18:11 2019
+++ new/usr/src/stand/lib/fs/Makefile.com	Thu Aug  8 11:18:11 2019
@@ -36,6 +36,6 @@
 
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
--- old/usr/src/stand/lib/inet/Makefile	Thu Aug  8 11:18:11 2019
+++ new/usr/src/stand/lib/inet/Makefile	Thu Aug  8 11:18:12 2019
@@ -37,6 +37,6 @@
 CPPFLAGS += $(SOCKCPPFLAGS) -I$(TOPDIR)/psm/stand
 
 CERRWARN += -_gcc=-Wno-char-subscripts
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 include ../Makefile.targ
--- old/usr/src/stand/lib/sa/Makefile	Thu Aug  8 11:18:12 2019
+++ new/usr/src/stand/lib/sa/Makefile	Thu Aug  8 11:18:13 2019
@@ -57,7 +57,7 @@
 CPPFLAGS += $(SOCKCPPFLAGS)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 objs/%.o: $(MACH)/%.s
 	  $(COMPILE.s) -o $@ $<
--- old/usr/src/stand/lib/tcp/Makefile	Thu Aug  8 11:18:14 2019
+++ new/usr/src/stand/lib/tcp/Makefile	Thu Aug  8 11:18:14 2019
@@ -34,6 +34,6 @@
 CPPFLAGS += -I../inet $(SOCKCPPFLAGS)
 
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 include ../Makefile.targ
--- old/usr/src/test/libc-tests/tests/regex/Makefile	Thu Aug  8 11:18:14 2019
+++ new/usr/src/test/libc-tests/tests/regex/Makefile	Thu Aug  8 11:18:14 2019
@@ -34,7 +34,7 @@
 include		$(SRC)/cmd/Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 
 # needs work
--- old/usr/src/tools/aw/Makefile	Thu Aug  8 11:18:15 2019
+++ new/usr/src/tools/aw/Makefile	Thu Aug  8 11:18:15 2019
@@ -30,7 +30,7 @@
 include ../Makefile.tools
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/tools/cscope-fast/Makefile	Thu Aug  8 11:18:16 2019
+++ new/usr/src/tools/cscope-fast/Makefile	Thu Aug  8 11:18:16 2019
@@ -49,7 +49,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/tools/ctf/ctfmerge/Makefile.com	Thu Aug  8 11:18:17 2019
+++ new/usr/src/tools/ctf/ctfmerge/Makefile.com	Thu Aug  8 11:18:17 2019
@@ -23,7 +23,7 @@
 
 CPPFLAGS += -include ../../common/ctf_headers.h
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 OBJS = $(SRCS:%.c=%.o)
 
--- old/usr/src/tools/ctf/cvt/Makefile.com	Thu Aug  8 11:18:18 2019
+++ new/usr/src/tools/ctf/cvt/Makefile.com	Thu Aug  8 11:18:18 2019
@@ -81,7 +81,7 @@
 LINTFLAGS	+= -mnux
 
 CERRWARN	+= -_gcc=-Wno-unused
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 CSTD		= $(CSTD_GNU99)
--- old/usr/src/tools/ctf/stabs/Makefile.com	Thu Aug  8 11:18:18 2019
+++ new/usr/src/tools/ctf/stabs/Makefile.com	Thu Aug  8 11:18:18 2019
@@ -44,7 +44,7 @@
 LINTFILES = $(SRCS:%.c=%.ln)
 
 LINTFLAGS = -mnux -L$(ROOT)/usr/lib
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused
 
 .NO_PARALLEL:
--- old/usr/src/tools/ndrgen/Makefile	Thu Aug  8 11:18:19 2019
+++ new/usr/src/tools/ndrgen/Makefile	Thu Aug  8 11:18:19 2019
@@ -34,7 +34,7 @@
 include ../Makefile.tools
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused
 
 CLEANFILES += $(OBJS) y.tab.c y.tab.h
--- old/usr/src/ucbcmd/mkstr/Makefile	Thu Aug  8 11:18:20 2019
+++ new/usr/src/ucbcmd/mkstr/Makefile	Thu Aug  8 11:18:20 2019
@@ -31,7 +31,7 @@
 # For messaging
 XGETFLAGS += -a -x mkstr.xcl
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/ucbcmd/tset/Makefile	Thu Aug  8 11:18:21 2019
+++ new/usr/src/ucbcmd/tset/Makefile	Thu Aug  8 11:18:21 2019
@@ -36,7 +36,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # missing prototypes
 SMATCH=off
--- old/usr/src/ucblib/libcurses/Makefile.com	Thu Aug  8 11:18:21 2019
+++ new/usr/src/ucblib/libcurses/Makefile.com	Thu Aug  8 11:18:21 2019
@@ -88,7 +88,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/ucblib/libdbm/Makefile.com	Thu Aug  8 11:18:22 2019
+++ new/usr/src/ucblib/libdbm/Makefile.com	Thu Aug  8 11:18:23 2019
@@ -41,7 +41,7 @@
 
 CPPFLAGS = -I$(SRC)/ucbhead $(CPPFLAGS.master)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/ucblib/librpcsoc/Makefile.com	Thu Aug  8 11:18:25 2019
+++ new/usr/src/ucblib/librpcsoc/Makefile.com	Thu Aug  8 11:18:25 2019
@@ -50,7 +50,7 @@
 
 CPPFLAGS = -I$(SRC)/ucbhead -I../../../lib/libc/inc $(CPPFLAGS.master)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/ucblib/libucb/Makefile.com	Thu Aug  8 11:18:27 2019
+++ new/usr/src/ucblib/libucb/Makefile.com	Thu Aug  8 11:18:27 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
 # Copyright 2019 Peter Tribble.
 #
 
--- old/usr/src/uts/Makefile.uts	Thu Aug  8 11:18:30 2019
+++ new/usr/src/uts/Makefile.uts	Thu Aug  8 11:18:30 2019
@@ -222,6 +222,11 @@
 CERRWARN += -_gcc=-Wno-unused-parameter
 CERRWARN += -_gcc=-Wno-missing-field-initializers
 
+# gcc4 lacks -Wno-maybe-uninitialized
+CNOWARN_UNINIT = -_gcc4=-Wno-uninitialized \
+    -_gcc7=-Wno-maybe-uninitialized \
+    -_gcc8=-Wno-maybe-uninitialized
+
 # DEBUG v. -nd make for frequent unused variables, empty conditions, etc. in
 # -nd builds
 $(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
--- old/usr/src/uts/common/vm/vm_pagelist.c	Thu Aug  8 11:18:32 2019
+++ new/usr/src/uts/common/vm/vm_pagelist.c	Thu Aug  8 11:18:32 2019
@@ -4179,8 +4179,7 @@
 	if (PP_ISKAS(like_pp))
 		pgrflags |= PGR_SAMESZC;
 
-	/* LINTED */
-	MTYPE_PGR_INIT(mtype, flags, like_pp, page_mnode, npgs);
+	MTYPE_PGR_INIT(mtype, flags, like_pp, npgs);
 
 	while (npgs) {
 		pplist = NULL;
--- old/usr/src/uts/i86pc/acpidev/Makefile	Thu Aug  8 11:18:35 2019
+++ new/usr/src/uts/i86pc/acpidev/Makefile	Thu Aug  8 11:18:35 2019
@@ -61,7 +61,7 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/i86pc/amd_iommu/Makefile	Thu Aug  8 11:18:36 2019
+++ new/usr/src/uts/i86pc/amd_iommu/Makefile	Thu Aug  8 11:18:36 2019
@@ -57,7 +57,7 @@
 #
 LDFLAGS         += -dy -Nmisc/iommulib -Nmisc/acpica
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/cpr/Makefile	Thu Aug  8 11:18:36 2019
+++ new/usr/src/uts/i86pc/cpr/Makefile	Thu Aug  8 11:18:36 2019
@@ -69,7 +69,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 $(OBJS_DIR)/cpr_impl.o :=	CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/cpudrv/Makefile	Thu Aug  8 11:18:37 2019
+++ new/usr/src/uts/i86pc/cpudrv/Makefile	Thu Aug  8 11:18:37 2019
@@ -52,7 +52,7 @@
 
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/dr/Makefile	Thu Aug  8 11:18:37 2019
+++ new/usr/src/uts/i86pc/dr/Makefile	Thu Aug  8 11:18:37 2019
@@ -62,7 +62,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/i86pc/generic_cpu/Makefile	Thu Aug  8 11:18:37 2019
+++ new/usr/src/uts/i86pc/generic_cpu/Makefile	Thu Aug  8 11:18:37 2019
@@ -43,7 +43,7 @@
 include ../cpu/Makefile.cpu
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #       Define targets
--- old/usr/src/uts/i86pc/gfx_private/Makefile	Thu Aug  8 11:18:38 2019
+++ new/usr/src/uts/i86pc/gfx_private/Makefile	Thu Aug  8 11:18:38 2019
@@ -65,7 +65,7 @@
 # to investigate and remove these for maximum coverage.
 # Please do not carry these forward to new Makefiles.
 #
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/i86pc/i86hvm/xpvd/Makefile	Thu Aug  8 11:18:38 2019
+++ new/usr/src/uts/i86pc/i86hvm/xpvd/Makefile	Thu Aug  8 11:18:38 2019
@@ -59,7 +59,7 @@
 CPPFLAGS	+= -DHVMPV_XPVD_VERS=1
 LDFLAGS		+= -dy -Ndrv/xpv
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86pc/ioat/Makefile	Thu Aug  8 11:18:39 2019
+++ new/usr/src/uts/i86pc/ioat/Makefile	Thu Aug  8 11:18:39 2019
@@ -57,7 +57,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Dependency
--- old/usr/src/uts/i86pc/npe/Makefile	Thu Aug  8 11:18:39 2019
+++ new/usr/src/uts/i86pc/npe/Makefile	Thu Aug  8 11:18:39 2019
@@ -75,7 +75,7 @@
 # to investigate and remove these for maximum coverage.
 # Please do not carry these forward to new Makefiles.
 #
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/pci/Makefile	Thu Aug  8 11:18:40 2019
+++ new/usr/src/uts/i86pc/pci/Makefile	Thu Aug  8 11:18:40 2019
@@ -73,7 +73,7 @@
 # Please do not carry these forward to new Makefiles.
 #
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/i86pc/pcie/Makefile	Thu Aug  8 11:18:40 2019
+++ new/usr/src/uts/i86pc/pcie/Makefile	Thu Aug  8 11:18:40 2019
@@ -57,7 +57,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CERRWARN	+= -_gcc=-Wno-unused-value
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function # safe
--- old/usr/src/uts/i86pc/ppm/Makefile	Thu Aug  8 11:18:40 2019
+++ new/usr/src/uts/i86pc/ppm/Makefile	Thu Aug  8 11:18:40 2019
@@ -62,7 +62,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 #
--- old/usr/src/uts/i86pc/rootnex/Makefile	Thu Aug  8 11:18:41 2019
+++ new/usr/src/uts/i86pc/rootnex/Makefile	Thu Aug  8 11:18:41 2019
@@ -64,7 +64,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/immu_qinv.o := SMOFF += index_overflow
--- old/usr/src/uts/i86pc/tzmon/Makefile	Thu Aug  8 11:18:41 2019
+++ new/usr/src/uts/i86pc/tzmon/Makefile	Thu Aug  8 11:18:41 2019
@@ -70,7 +70,7 @@
 # to investigate and remove these for maximum coverage.
 # Please do not carry these forward to new Makefiles.
 #
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86pc/unix/Makefile	Thu Aug  8 11:18:42 2019
+++ new/usr/src/uts/i86pc/unix/Makefile	Thu Aug  8 11:18:42 2019
@@ -129,7 +129,7 @@
 # Please do not carry these forward to new Makefiles.
 #
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/i86pc/vm/vm_dep.h	Thu Aug  8 11:18:42 2019
+++ new/usr/src/uts/i86pc/vm/vm_dep.h	Thu Aug  8 11:18:42 2019
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 /*
  * Copyright (c) 2010, Intel Corporation.
@@ -305,9 +306,9 @@
 	}								\
 }
 
-extern int mtype_pgr_init(int *, page_t *, int, pgcnt_t);
-#define	MTYPE_PGR_INIT(mtype, flags, pp, mnode, pgcnt)			\
-	(mtype = mtype_pgr_init(&flags, pp, mnode, pgcnt))
+extern int mtype_pgr_init(int *, page_t *, pgcnt_t);
+#define	MTYPE_PGR_INIT(mtype, flags, pp, pgcnt)				\
+	(mtype = mtype_pgr_init(&flags, pp, pgcnt))
 
 #define	MNODE_PGCNT(mnode)		mnode_pgcnt(mnode)
 
--- old/usr/src/uts/i86pc/vm/vm_machdep.c	Thu Aug  8 11:18:43 2019
+++ new/usr/src/uts/i86pc/vm/vm_machdep.c	Thu Aug  8 11:18:43 2019
@@ -1621,7 +1621,7 @@
 /* mtype init for page_get_replacement_page */
 /*ARGSUSED*/
 int
-mtype_pgr_init(int *flags, page_t *pp, int mnode, pgcnt_t pgcnt)
+mtype_pgr_init(int *flags, page_t *pp, pgcnt_t pgcnt)
 {
 	int mtype = mtypetop;
 #if !defined(__xpv)
--- old/usr/src/uts/i86pc/xsvc/Makefile	Thu Aug  8 11:18:43 2019
+++ new/usr/src/uts/i86pc/xsvc/Makefile	Thu Aug  8 11:18:43 2019
@@ -67,7 +67,7 @@
 MODSTUBS_DIR	 = $(OBJS_DIR)
 CLEANFILES	+= $(MODSTUBS_O)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
